
# requires the OpenCL patches
%define llvm_version 10.0.0

%define spirv_llvm_translator_version 10.0.0

Summary:	Intel Graphics Compute Runtime for OpenCL
Name:		opencl-clang
Version:	10.0.0
Release:	2
License:	University of Illinois/NCSA Open Source License
Group:		Libraries
Source0:	https://github.com/intel/opencl-clang/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a28bc82341f0ef4dbf749d2ee5e0a907
Patch0:		llvm10.patch
URL:		https://01.org/compute-runtime
BuildRequires:	SPIRV-LLVM-Translator-devel >= %{spirv_llvm_translator_version}
BuildRequires:	clang >= %{llvm_rpm_version}
BuildRequires:	clang-devel >= %{llvm_version}
BuildRequires:	cmake >= 3.4.3
BuildRequires:	llvm-devel >= %{llvm_version}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Common clang is a thin wrapper library around clang. Common clang has
OpenCL-oriented API and is capable to compile OpenCL C kernels to
SPIR-V modules.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
%requires_eq	clang-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DUSE_PREBUILT_LLVM=ON \
	-DPREFERRED_LLVM_VERSION="%{llvm_version}" \
	-DLLVMSPIRV_INCLUDED_IN_LLVM=OFF \
	-DSPIRV_TRANSLATOR_DIR="%{_prefix}" \
	-DGIT_EXECUTABLE=/bin/false \
	../
%{__make}

cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.10 $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.%{llvm_version}
ln -s libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.10
ln -sf libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libopencl-clang.so.%{llvm_version}
%ghost %attr(755,root,root) %{_libdir}/libopencl-clang.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopencl-clang.so
%{_includedir}/cclang
%changelog
* Sat Jul 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opencl-clang.git;a=log;h=master

* Sat Jul 25 2020 Jan Palus <atler@pld-linux.org> d6a2878
- llvm rebuild
- release 2 (by relup.sh)

* Fri Apr 10 2020 Jan Palus <atler@pld-linux.org> dd4d326
- up to 10.0.0

* Sun Feb 09 2020 Jan Rękorajski <baggins@pld-linux.org> f5ada38
- release 2 (by relup.sh)

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 391f067
- up to 9.0.0

* Sun Sep 08 2019 Jan Palus <atler@pld-linux.org> 5b94334
- adjust for llvm 8 and spirv translator 8; rel 2

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> 15cf855
- another fix to the LLVM/Clang dependencies

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> ac26e2a
- require proper llvm, also for -devel

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> eac18d9
- SPIRV-LLVM-Translator dependency fix

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> 0a767a5
- fake git executable

* Mon Jul 01 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> c7dfe9a
- new package

